/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:43pm
Filepath: scripts\Items\Artifacts\champion spawns\BarracoonsJesterHat.cs
Lines of code: 41

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class BarracoonsJesterHat : JesterHat
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }	
	
		[Constructable]
		public BarracoonsJesterHat()
		{
			Hue = 1176;
			Name = "Barracoon's Jester Hat";
			SkillBonuses.SetValues( 0, SkillName.Provocation, 10 );
			SkillBonuses.SetValues( 1, SkillName.Peacemaking, 10 );
			SkillBonuses.SetValues( 2, SkillName.Discordance, 10 );
			SkillBonuses.SetValues( 3, SkillName.Musicianship, 10 );
			Attributes.BonusInt = 10;
		}

		public BarracoonsJesterHat( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			
			if(version==0)
			{				
				SkillBonuses.SetValues( 0, SkillName.Provocation, 10 );
				SkillBonuses.SetValues( 1, SkillName.Peacemaking, 10 );
				SkillBonuses.SetValues( 2, SkillName.Discordance, 10 );
				SkillBonuses.SetValues( 3, SkillName.Musicianship, 10 );			
			}
			
			
		}
	}
}